Retrieve an allowance line item
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "allowance_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "allowance",
"is_managed": false,
"amount": 35,
"custom_amount": null,
"managed_amount": 35,
"accrued_vacation_pay": 0,
"allowance_type": {
"id": "<id>",
"object": "allowance_type",
"data": {
"type": "automobile_and_motor_vehicle",
"label": "Vehicle allowance (taxable)"
},
"links": {
"self": "/allowance_types/automobile_and_motor_vehicle"
}
},
"recurrence": null,
"title": null,
"title_translations": null,
"title_translated": null,
"business_preset": null,
"source_adjustment": null,
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/allowance_line_items/<id>"
}
}Allowance Line Items
Retrieve an allowance line item
GET
/
allowance_line_items
/
{allowance_line_item}
Retrieve an allowance line item
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/allowance_line_items/{allowance_line_item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "allowance_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "allowance",
"is_managed": false,
"amount": 35,
"custom_amount": null,
"managed_amount": 35,
"accrued_vacation_pay": 0,
"allowance_type": {
"id": "<id>",
"object": "allowance_type",
"data": {
"type": "automobile_and_motor_vehicle",
"label": "Vehicle allowance (taxable)"
},
"links": {
"self": "/allowance_types/automobile_and_motor_vehicle"
}
},
"recurrence": null,
"title": null,
"title_translations": null,
"title_translated": null,
"business_preset": null,
"source_adjustment": null,
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/allowance_line_items/<id>"
}
}Authorizations
Query Parameters
Available options:
business_preset, custom_expense_accounting_code, custom_liability_accounting_code, custom_tag_assignment, expense_accounting_code, expense_accounting_code_rule, liability_accounting_code, liability_accounting_code_rule, managed_expense_accounting_code, managed_liability_accounting_code, managed_tag_assignment, pay_stub, recurrence, source_adjustment, tag_assignment, tag_assignment_amounts Response
200 - application/json
OK
- Default
- With pay_stub expanded
- With recurrence expanded
- With business_preset expanded
- With source_adjustment expanded
- With expense_accounting_code expanded
- With managed_expense_accounting_code expanded
- With custom_expense_accounting_code expanded
- With expense_accounting_code_rule expanded
- With liability_accounting_code expanded
- With managed_liability_accounting_code expanded
- With custom_liability_accounting_code expanded
- With liability_accounting_code_rule expanded
- With tag_assignment expanded
- With managed_tag_assignment expanded
- With custom_tag_assignment expanded
- With tag_assignment_amounts expanded
Hide child attributes
Hide child attributes
The type of allowance for this line item.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
How this type affects the payroll calculation in this jurisdiction.
Available options:
accrues_vacation_pay, included_in_gross_pay, included_in_hour_totals, included_in_stat_holiday_pay, moves_money, reduces_base, tax_credit, withholding Hide child attributes
Hide child attributes
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The provinces of employment where amounts of this type are reported in this box. RL-1 boxes apply only in Quebec. Most T4 and T4A boxes apply in every province; a few, such as for Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

